import React from 'react'
import { mount } from 'enzyme'

import MonthlyAnalysis from 'components/Analysis/MonthlyAnalysis'
import { DateTime } from 'luxon'

import * as reactRedux from 'react-redux'
import { userChallengeExplo1OnGoing } from '../../../tests/__mocks__/userChallengeData.mock'

import { globalStateData } from '../../../tests/__mocks__/globalStateData.mock'
import { Provider } from 'react-redux'
import configureStore from 'redux-mock-store'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
const mockStore = configureStore([])

const mockUseSelector = jest.spyOn(reactRedux, 'useSelector')

describe('MonthlyAnalysis component', () => {
  mockUseSelector.mockReturnValue(userChallengeExplo1OnGoing)

  it('should be rendered correctly', () => {
    const store = mockStore({
      ecolyo: {
        global: globalStateData,
      },
    })
    const wrapper = mount(
      <Provider store={store}>
        <MonthlyAnalysis
          analysisDate={DateTime.fromISO('2021-07-01T00:00:00.000Z', {
            zone: 'utc',
          })}
          saveLastScrollPosition={jest.fn()}
          scrollPosition={0}
        />
      </Provider>
    ).getElement()
    expect(wrapper).toMatchSnapshot()
  })
})
