import { Button } from '@material-ui/core'
import ecolyoIcon from 'assets/icons/ico/ecolyo.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useClient } from 'cozy-client'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import './challengeCardLast.scss'

declare let __SAU_IDEA_DIRECT_LINK__: string

const ChallengeCardLast: React.FC = () => {
  const { t } = useI18n()
  const client = useClient()

  const handleClickFeedbacks = (): void => {
    window.open(
      `${__SAU_IDEA_DIRECT_LINK__}?version=${client.appMetadata.version}`
    )
  }

  return (
    <div className="cardLast">
      <StyledIcon icon={ecolyoIcon} size={62} />
      <div className="content">
        <div className="text-22-bold title-last">
          {t('challenge.card_last.title')}
        </div>
        <div className="text-18-normal message">
          {t('challenge.card_last.message1')}
        </div>
      </div>
      <Button
        aria-label={t('challenge.card_last.button')}
        onClick={handleClickFeedbacks}
        className="btn1"
        classes={{
          root: 'btn-secondary-negative btn_lastCard',
          label: 'text-15-bold',
        }}
      >
        {t('challenge.card_last.button')}
      </Button>
    </div>
  )
}

export default ChallengeCardLast
