import React from 'react'
import { shallow } from 'enzyme'
import ChallengeNoFluidModal from './ChallengeNoFluidModal'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('ChallengeNoFluidModal component', () => {
  it('should be rendered correctly opened', () => {
    const handleClose = jest.fn()
    const component = shallow(
      <ChallengeNoFluidModal open={true} handleCloseClick={handleClose} />
    ).getElement()
    expect(component).toMatchSnapshot()
  })
})
