import React from 'react'
import { scaleLinear } from 'd3'
import { FluidType } from 'enum/fluid.enum'
import { mount } from 'enzyme'
import AxisRight from './AxisRight'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

const mockProps = {
  yScale: scaleLinear(),
  fluidType: FluidType.ELECTRICITY,
  width: 40,
  marginRight: 5,
  marginTop: 5,
}

describe('AxisRight component test', () => {
  it('should render correctly AxisRight', () => {
    const wrapper = mount(
      <svg>
        <AxisRight {...mockProps} />
      </svg>
    )
    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
