import React from 'react'
import { mount } from 'enzyme'
import configureStore from 'redux-mock-store'
import { Provider } from 'react-redux'
import { globalStateData } from '../../../../tests/__mocks__/globalStateData.mock'
import toJson from 'enzyme-to-json'
import SgeModalHint from './SgeModalHint'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
const mockStore = configureStore([])

describe('SgeModalHint component', () => {
  it('should be rendered correctly', () => {
    const mockClose = jest.fn()
    const store = mockStore({
      ecolyo: {
        global: globalStateData,
      },
    })
    const wrapper = mount(
      <Provider store={store}>
        <SgeModalHint open={true} handleCloseClick={mockClose} />
      </Provider>
    )
    expect(toJson(wrapper)).toMatchSnapshot()
  })
})
