import * as reactRedux from 'react-redux'
import { renderHook, act } from '@testing-library/react-hooks'
import useExploration from 'components/Hooks/useExploration'
import { UserExplorationID } from 'enum/userExploration.enum'
import { userChallengeExplo1OnGoing } from '../../../tests/__mocks__/userChallengeData.mock'

const dispatchMock = jest.fn()
const mockUseSelector = jest.spyOn(reactRedux, 'useSelector')
const mockUseDispatch = jest.spyOn(reactRedux, 'useDispatch')

describe('useExploration Hooks', () => {
  it('should return "EXPLORATION001"', () => {
    mockUseDispatch.mockReturnValue(dispatchMock)
    mockUseSelector.mockReturnValue(userChallengeExplo1OnGoing)

    const { result } = renderHook(() => useExploration())

    act(() => {
      result.current[1](UserExplorationID.EXPLORATION001)
    })
    expect(result.current[0]).toBe(UserExplorationID.EXPLORATION001)
  })
})
