import logos from 'assets/png/logos_partenaires.svg'
import Content from 'components/Content/Content'
import GCULink from 'components/GCU/GCULink'
import CozyBar from 'components/Header/CozyBar'
import Header from 'components/Header/Header'
import LegalNoticeLink from 'components/LegalNotice/LegalNoticeLink'
import ExportOptions from 'components/Options/exportOptions'
import Version from 'components/Version/Version'
import React, { useState } from 'react'
import HelpLink from './HelpLink/HelpLink'
import MatomoOptOut from './MatomoOptOut/MatomoOptOut'
import ProfileTypeOptions from './ProfileTypeOptions/ProfileTypeOptions'
import ReportOptions from './ReportOptions/ReportOptions'

const OptionsView: React.FC = () => {
  const [headerHeight, setHeaderHeight] = useState<number>(0)
  const defineHeaderHeight = (height: number) => {
    setHeaderHeight(height)
  }

  return (
    <>
      <CozyBar titleKey={'common.title_options'} />
      <Header
        setHeaderHeight={defineHeaderHeight}
        desktopTitleKey={'common.title_options'}
      />
      <Content height={headerHeight}>
        <ProfileTypeOptions />
        <ExportOptions />
        <ReportOptions />
        <HelpLink />
        <LegalNoticeLink />
        <GCULink />
        <MatomoOptOut />
        <div className="parameters-logos">
          <img src={logos} alt="ensemble de logos" />
        </div>
        <Version />
      </Content>
    </>
  )
}

export default OptionsView
