import { ProfileTypeStepForm } from 'enum/profileType.enum'
import { mount } from 'enzyme'
import React from 'react'
import { Provider } from 'react-redux'
import {
  mockProfileType,
  mockProfileTypeAnswers,
} from '../../../tests/__mocks__/profileType.mock'
import {
  createMockStore,
  mockInitialEcolyoState,
} from '../../../tests/__mocks__/store'
import ProfileTypeFormNumberSelection from './ProfileTypeFormNumberSelection'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
const mockedNavigate = jest.fn()
jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedNavigate,
}))

describe('ProfileTypeFormNumberSelection component', () => {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  let store: any
  beforeEach(() => {
    store = createMockStore(mockInitialEcolyoState)
  })

  it('should be rendered correctly', () => {
    const mockhandlePrevious = jest.fn()
    const mockhandleNext = jest.fn()
    const wrapper = mount(
      <Provider store={store}>
        <ProfileTypeFormNumberSelection
          step={ProfileTypeStepForm.COOKING_FLUID}
          viewedStep={ProfileTypeStepForm.AREA}
          profileType={mockProfileType}
          answerType={mockProfileTypeAnswers[3]}
          setNextStep={mockhandlePrevious}
          setPrevioustStep={mockhandleNext}
          isProfileTypeComplete={false}
        />
      </Provider>
    )
    expect(wrapper.find('input')).toBeTruthy()
  })
})
