import React from 'react'
import { mount } from 'enzyme'
import SplashRoot from './SplashRoot'
import * as reactRedux from 'react-redux'
import toJson from 'enzyme-to-json'

import { userChallengeExplo1OnGoing } from '../../../tests/__mocks__/userChallengeData.mock'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})
const mockUseSelector = jest.spyOn(reactRedux, 'useSelector')
const mockUseDispatch = jest.spyOn(reactRedux, 'useDispatch')

describe('SplashRoot component', () => {
  it('should be rendered correctly', () => {
    mockUseSelector.mockReturnValue(userChallengeExplo1OnGoing)
    mockUseDispatch.mockReturnValue(jest.fn())
    const component = mount(<SplashRoot>children</SplashRoot>).getElement()
    expect(toJson(component)).toMatchSnapshot()
  })
})
