import React from 'react'
import { mount } from 'enzyme'
import LegalNoticeModal from './LegalNoticeModal'
import toJson from 'enzyme-to-json'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('LegalNoticeModal component', () => {
  it('should be rendered correctly', () => {
    const component = mount(
      <LegalNoticeModal open={true} handleCloseClick={jest.fn()} />
    )
    expect(toJson(component)).toMatchSnapshot()
  })
})
