import { DateTime } from 'luxon'
import { Profile } from 'models'
import { Reducer } from 'redux'
import {
  ProfileActionTypes,
  UPDATE_PROFILE,
} from 'store/profile/profile.actions'

const initialState: Profile = {
  id: '',
  ecogestureHash: '',
  challengeHash: '',
  duelHash: '',
  quizHash: '',
  explorationHash: '',
  isFirstConnection: false,
  partnersIssueSeenDate: {
    enedis: DateTime.fromISO('0000-01-01T00:00:00.000Z'),
    egl: DateTime.fromISO('0000-01-01T00:00:00.000Z'),
    grdf: DateTime.fromISO('0000-01-01T00:00:00.000Z'),
  },
  lastConnectionDate: DateTime.fromISO('0000-01-01T00:00:00.000Z'),
  customPopupDate: DateTime.fromISO('0000-01-01T00:00:00.000Z'),
  haveSeenLastAnalysis: true,
  sendAnalysisNotification: true,
  sendConsumptionAlert: false,
  waterDailyConsumptionLimit: 0,
  mailToken: '',
  monthlyAnalysisDate: DateTime.fromISO('0000-01-01T00:00:00.000Z'),
  isProfileTypeCompleted: false,
  isProfileEcogestureCompleted: false,
  onboarding: {
    isWelcomeSeen: false,
  },
  haveSeenEcogestureModal: false,
  activateHalfHourDate: DateTime.fromISO('0000-01-01T00:00:00.000Z'),
}

export const profileReducer: Reducer<Profile> = (
  state = initialState,
  action: ProfileActionTypes
): Profile => {
  switch (action.type) {
    case UPDATE_PROFILE:
      return {
        ...state,
        ...action.payload,
      }
    default:
      return state
  }
}
