import { UPDATE_PROFILETYPE, updateProfileType } from './profileType.actions'
import { profileTypeData } from '../../../tests/__mocks__/profileType.mock'
import {
  createMockStore,
  mockInitialEcolyoState,
} from '../../../tests/__mocks__/store'

const mockUpdateProfileType = jest.fn()
jest.mock('services/profileTypeEntity.service', () => {
  return jest.fn(() => {
    return {
      updateProfileType: mockUpdateProfileType,
    }
  })
})

describe('profileType actions', () => {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  let store: any
  beforeEach(() => {
    store = createMockStore(mockInitialEcolyoState)
  })
  it('should create an UPDATE_PROFILETYPE action when profileType is updated', async () => {
    mockUpdateProfileType.mockResolvedValueOnce(profileTypeData)
    const expectedActions = [
      {
        type: UPDATE_PROFILETYPE,
        payload: profileTypeData,
      },
    ]
    await store.dispatch(updateProfileType(profileTypeData))
    expect(store.getActions()).toEqual(expectedActions)
  })

  it('should not create action when profileType is not updated', async () => {
    mockUpdateProfileType.mockResolvedValueOnce(null)
    await store.dispatch(updateProfileType(profileTypeData))
    expect(store.getActions()).toEqual([])
  })
})
