import { EquipmentType } from 'enum/ecogesture.enum'
import { ProfileEcogestureAnswerType } from 'enum/ecogestureForm.enum'
import { IndividualOrCollective, WarmingType } from 'enum/profileType.enum'
import {
  ProfileEcogesture,
  ProfileEcogestureAnswer,
} from 'models/profileEcogesture.model'

export const mockProfileEcogesture: ProfileEcogesture = {
  heating: IndividualOrCollective.INDIVIDUAL,
  warmingFluid: WarmingType.ELECTRICITY,
  hotWater: IndividualOrCollective.INDIVIDUAL,
  equipments: [],
}
export const mockProfileEcogestureUpdated: ProfileEcogesture = {
  heating: IndividualOrCollective.INDIVIDUAL,
  warmingFluid: WarmingType.ELECTRICITY,
  hotWater: IndividualOrCollective.INDIVIDUAL,
  equipments: [EquipmentType.BOILER, EquipmentType.INTERNET_BOX],
}

export const mockEcogestureAnswer: ProfileEcogestureAnswer = {
  type: ProfileEcogestureAnswerType.SINGLE_CHOICE,
  attribute: 'heating',
  choices: [
    IndividualOrCollective.INDIVIDUAL,
    IndividualOrCollective.COLLECTIVE,
  ],
}
